local mapinfo = {
   name        = "Twisted Treeline",
   shortname   = "TT",
   description = "LoL's Twisted treeline adapted for spring 2vs2",
   author      = "[Fx]Doo",
   version     = "1.1",
   modtype     = 3, --// 3=map

   maphardness     = 100,
   notDeformable   = false,
   gravity         = 130,
   tidalStrength   = 16,
   maxMetal        = 3,
   extractorRadius = 32,
   voidWater       = false,
   voidGround      = false,
   autoShowMetal   = true,
 
  resources = {
    detailTex = "Detail.png",
      --specularTex = "specmap.png",
      --splatDetailTex = "Details.png",
      --splatDistrTex = "Distribution.png",
      --detailNormalTex = "NormTex.png",
	  splatDetailNormalDiffuseAlpha = 0,
	  splatDetailNormalTex = {
	  "RockNorm.png",
	  "IceNorm.png",
	  "SnowNorm.png",
	  "RockNorm2.png",
	  alpha = false,
	  },
	  },
	  splats = {
	  texScales = {0.01, 0.02, 0.02, 0.02},
      texMults  = {0.5, 1, 1, 0},
   },

   atmosphere = {
      minWind      = 5,
      maxWind      = 12,

      fogStart     = 0.9,
      fogEnd       = 1.0,
      fogColor     = {0.01, 0.01, 0.03},

      sunColor     = {0.2, 0.2, 0.7},
      skyColor     = {0.01, 0.01, 0.03},
      skyDir       = {0.0, 0.0, -1.0},

      cloudDensity = 0.6,
      cloudColor   = {0.2, 0.2, 0.2},
   },

   terrainTypes = {
      [0] = {
         name = "Earth",
         hardness = 15,
         receiveTracks = true,
         moveSpeeds = {
            tank  = 1.0,
            kbot  = 1.0,
            hover = 1.0,
            ship  = 1.0,
         },
      },
      [50]  = { 
         name = "LowerLands",
         hardness = 15,
         receiveTracks = true,
         moveSpeeds = {
            tank  = 1.1,
            kbot  = 1.0,
            hover = 1.0,
            ship  = 1.0,
         },
		 },
		       [100]  = { 
         name = "RockSand",
         hardness = 13,
         receiveTracks = true,
         moveSpeeds = {
            tank  = 1,
            kbot  = 0.9,
            hover = 1,
            ship  = 1,
         },
		 },
		       [150]  = { 
         name = "GrassnBushes",
         hardness = 20,
         receiveTracks = true,
         moveSpeeds = {
            tank  = 0.9,
            kbot  = 1,
            hover = 0.9,
            ship  = 1,
         },
		 },
		       [255]  = { 
         name = "Rock",
         hardness = 50,
         receiveTracks = true,
         moveSpeeds = {
            tank  = 1,
            kbot  = 1,
            hover = 1,
            ship  = 1,
         },
		 },
	},

  lighting = {
      --// dynsun
      sunStartAngle = 0.0,
      sunOrbitTime  = 1440.0,
      sunDir        = {0.008, 0.556, -0.444, 1e9},

      --// unit & ground lighting
      groundAmbientColor  = {0.4, 0.4, 0.7},
      groundDiffuseColor  = {0.4, 0.4, 0.4},
      groundSpecularColor = {0, 0, 0},
      groundShadowDensity = 0.8,
      unitAmbientColor    = {0.4, 0.4, 0.7},
      unitDiffuseColor    = {0.3, 0.3, 0.3},
      unitSpecularColor   = {0, 0, 0},
      unitShadowDensity   = 0.8,
      
      specularExponent    = 100.0,
   },

  water = {
      damage =  0,

      repeatX = 0.0,
      repeatY = 0.0,

      absorb    = {0.01, 0.01, 0.},
      baseColor = {0.8, 1, 1},
      minColor  = {0.0, 0.0, 0.05},

      ambientFactor  = 0.0,

      planeColor = {0.04, 0.16, 0.25},

      surfaceColor  = {0.3, 0.4, 0.24},

      fresnelMin   = 0.0,
      fresnelMax   = 0.0,
      fresnelPower = 0.0,

      reflectionDistortion = 20,

      blurBase      = 0,
      blurExponent = 0,

      perlinStartFreq  =  0,
      perlinLacunarity = 0,
      perlinAmplitude  =  0,
      windSpeed = 0, --// does nothing yet

      shoreWaves = false,	
      forceRendering = false,
      normalTexture = "",
	},

   teams = {
      [0] = {startPos = {x = 630, z = 2500}},
      [1] = {startPos = {x = 700, z = 1800}},   
	[2] = {startPos = {x = 9610, z = 2500}},
      [3] = {startPos = {x = 9540, z = 1800}},  

   },
   
smf = {
      minHeight = 5,
      maxHeight = 305,
	},
}
return mapinfo